Last Comment Bug 5061 - [I18N/ENDER]Japanese subject header input does not work
: [I18N/ENDER]Japanese subject header input does not work
Status: VERIFIED DUPLICATE of bug 6262
DEPEND - Intl - QA BLOCKER
:
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows NT
: P3 major (vote)
: M6
Assigned To: rods (gone)
: Katsuhiko Momoi
Mentors:
: 5930 (view as bug list)
Depends on:
Blocks: 7228
  Show dependency treegraph
 
Reported: 1999-04-13 18:50 PDT by Katsuhiko Momoi
Modified: 2008-07-31 01:22 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Katsuhiko Momoi 1999-04-13 18:50:21 PDT
** Observed with 4/13/99 Win32 build **

When I tried to input Japanese into the mail header field using
Japanese IME on Windows, there is no connection between the IME
and the input field and nothing shows up there.

(We cannot input via copy/paste and this has to be also
 filed as a new bug.)
Comment 1 Katsuhiko Momoi 1999-04-13 18:50:59 PDT
Naoki, please set the TM.
Comment 2 Katsuhiko Momoi 1999-04-13 18:55:59 PDT
See also Bug 5063 -- copy/paste does not work well for Japanese strings.
Comment 3 nhottanscp 1999-04-14 09:49:59 PDT
This is needed for M5 (to support MIME encode for Japanese).
Bob, who should I assgin this, xpfe?
Comment 4 nhottanscp 1999-04-14 10:34:59 PDT
This may related to dom, I added a comment in 5063.
Comment 5 bobj 1999-04-15 12:01:59 PDT
Reassigning to Eric based upon Vidur's comment in bug 5063.
This is blocking the M5 deliverable for sending Japanese email.
Comment 6 Eric Pollmann 1999-04-19 13:39:59 PDT
This smells like a widget issue to me, and a platform-specific one at that.
Passing to Rod (looks like you did a large amount of the textarea widget work
for windows?).

CC'ing XP Widgets and Linux Widget folks, as this issue probably needs to be
addressed by them as well.
Comment 7 rods (gone) 1999-04-19 13:46:59 PDT
This is possibly a Windows toolkit bug. Currently, we are using the
MS-Windows standard text and textarea controls within the widget toolkit. I am
not sure why copy/paste of Japanese strings do not work, because that should all
be native windows clipboard stuff.

I can help take a look at this, but I am going to need some help. I don't have a
clue about IME or what is even potentially wrong here.
Comment 8 bobj 1999-04-21 18:24:59 PDT
The forms text widgets are planned to be Ender-based.  Is that correct?
I think we should focus on switching to Ender and not worry about the
intermediate native widget implementation.
Comment 9 bobj 1999-04-21 18:26:59 PDT
Updated Summary by prepending "[I18N/ENDER]" as was done for 5063.
Comment 10 leger 1999-04-28 16:45:59 PDT
Adding to QA Blocker radar.
Comment 11 rods (gone) 1999-04-28 20:55:59 PDT
I agree with bob, I don't think we should put a lot of effort into this since we
will be moving to Ender text widgets.
Comment 12 bobj 1999-04-29 09:40:59 PDT
Rod,
Can we make the switch by M6?  Isn't this already working in viewer, so
what does it take to get it working in apprunner?  We need this because
the text widget for the mail headers are using forms -- one of the
remaining I18N mail composition problems left.  Also we want to
start testing forms ASAP.  Thanks.
Comment 13 rods (gone) 1999-04-29 10:31:59 PDT
I am not sure where the editor folks are in getting ender to be the text
widget/control? Greg, do you know?
Comment 14 rods (gone) 1999-04-30 13:18:59 PDT
Moving to M6 and marking as later
Comment 15 bobj 1999-05-03 13:29:59 PDT
Rod,  Shouldn't this be ASSIGNED and not RESOLVED/LATER for M6?
Comment 16 nhottanscp 1999-05-05 11:57:59 PDT
*** Bug 5930 has been marked as a duplicate of this bug. ***
Comment 17 Katsuhiko Momoi 1999-05-23 22:30:59 PDT
When this is resolved, testing should include the problem mentioned
in Bug 5930.
Comment 18 Peter Trudelle 1999-05-24 16:36:59 PDT
resolving as remind, since we have no plans to test or ship native text
widgets.  Why is this marked as a QA Blocker?  Also, if someone needs to test
5930 when testing this, then 5930 is not a duplicate of this, and should not
have been closed.
Comment 19 bobj 1999-06-16 17:44:59 PDT
Should be fixed by Ender-based text widget.  See bug #6262.
Comment 20 bobj 1999-06-16 17:45:59 PDT
*** This bug has been marked as a duplicate of 6262 ***
Comment 21 Katsuhiko Momoi 1999-06-16 20:12:59 PDT
I'm verifying the dyplicate status of this bug.

Note You need to log in before you can comment on or make changes to this bug.